Debian Bug report logs - #467915
liblocale-maketext-simple-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: liblocale-maketext-simple-perl; Maintainer for liblocale-maketext-simple-perl is (unknown);

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:25:35 UTC

Severity: important

Tags: patch

Found in version liblocale-maketext-simple-perl/0.16-1

Fixed in version liblocale-maketext-simple-perl/0.16-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bastian Blank <waldi@debian.org>:
Bug#467915; Package liblocale-maketext-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: liblocale-maketext-simple-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:19 +0200
Package: liblocale-maketext-simple-perl
Version: 0.16-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#467915; Package liblocale-maketext-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 467915@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467915@bugs.debian.org
Subject: liblocale-maketext-simple-perl: diff for NMU version 0.16-1.1
Date: Sat, 5 Apr 2008 23:09:43 +0100
[Message part 1 (text/plain, inline)]
tags 467915 + patch
thanks

Hi,

Attached is the diff for my liblocale-maketext-simple-perl 0.16-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[liblocale-maketext-simple-perl-0.16-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:12:08 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467915-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467915-close@bugs.debian.org
Subject: Bug#467915: fixed in liblocale-maketext-simple-perl 0.16-1.1
Date: Sat, 05 Apr 2008 22:17:27 +0000
Source: liblocale-maketext-simple-perl
Source-Version: 0.16-1.1

We believe that the bug you reported is fixed in the latest version of
liblocale-maketext-simple-perl, which is due to be installed in the Debian FTP archive:

liblocale-maketext-simple-perl_0.16-1.1.diff.gz
  to pool/main/libl/liblocale-maketext-simple-perl/liblocale-maketext-simple-perl_0.16-1.1.diff.gz
liblocale-maketext-simple-perl_0.16-1.1.dsc
  to pool/main/libl/liblocale-maketext-simple-perl/liblocale-maketext-simple-perl_0.16-1.1.dsc
liblocale-maketext-simple-perl_0.16-1.1_all.deb
  to pool/main/libl/liblocale-maketext-simple-perl/liblocale-maketext-simple-perl_0.16-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467915@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated liblocale-maketext-simple-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:13 +0100
Source: liblocale-maketext-simple-perl
Binary: liblocale-maketext-simple-perl
Architecture: source all
Version: 0.16-1.1
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 liblocale-maketext-simple-perl - Simple interface to Locale::Maketext::Lexicon
Closes: 467915
Changes: 
 liblocale-maketext-simple-perl (0.16-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467915
Files: 
 bbe99e893dbdd03f9edde42c8e695096 691 perl optional liblocale-maketext-simple-perl_0.16-1.1.dsc
 5b9635b5e70f3f65279df04091de107e 1754 perl optional liblocale-maketext-simple-perl_0.16-1.1.diff.gz
 5a9272e32fa9bd234550da4df2019b6d 11718 perl optional liblocale-maketext-simple-perl_0.16-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/PWNIW6CNDsByMRAo5yAJ9bVJmBgb9KPWkcAAJh8TeYed2K/QCfWAtf
Ax89NDLG0enqBTh4K3ac690=
=JNTk
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#467915; Package liblocale-maketext-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Chip Salzenberg <chip@pobox.com>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #22 received at 467915@bugs.debian.org (full text, mbox):

From: Chip Salzenberg <chip@pobox.com>
To: 467915@bugs.debian.org
Subject: cannot upgrade perl and keep svk due to this bug
Date: Mon, 5 May 2008 16:20:07 -0700
hello?  anybody home?
-- 
Chip Salzenberg <chip@pobox.com>




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jun 2008 07:28:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:37:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.